Error
A valid request URL is required to generate request examples{
"status": "00",
"message": "The process was completed successfully",
"data": {
"summary": {
"account_number": "0123456789",
"currency_code": "NGN",
"from": "2022-01-01",
"to": "2022-07-31",
"first_transaction": "2022-01-13",
"last_transaction": "2022-06-27",
"opening_balance": 100,
"closing_balance": 544.44,
"total_debit_count": 1,
"total_credit_count": 5,
"total_debit_value": 123.45,
"total_credit_value": 56789,
"pages": 1,
"records_per_page": 20
},
"transactions": [
{
"id": "1234567890",
"amount": 10,
"channel": "ATM",
"authorization_token": "ACCOUNT",
"transaction_type": "WITHDRAWAL",
"debit_credit": "DEBIT",
"narration": "ATM Withdrawal",
"reference": "WDS12345678909987",
"transaction_time": "2019-01-02T19:58:47.1234567",
"value_date": "2019-01-02",
"balance_after": 12
}
],
"custom_properties": [
{
"id": "1",
"description": "custom_property",
"type": "string",
"value": "custom_property"
}
]
}
}{
"status": "01",
"error_code": "MISSING_FIELD",
"message": "The field is missing",
"data": {}
}{
"status": "02",
"message": "The authentication failed",
"data": {}
}{
"status": "03",
"message": "You are not allowed to perform this operation",
"data": {}
}{
"status": "04",
"message": "The resource you are looking for does not exist",
"data": {}
}{
"status": "05",
"message": "An unknown error occurred",
"data": {}
}Accounts
Get Account Transactions
Get the transaction history for a specified account within a date range
GET
/
accounts
/
{account_number}
/
transactions
Error
A valid request URL is required to generate request examples{
"status": "00",
"message": "The process was completed successfully",
"data": {
"summary": {
"account_number": "0123456789",
"currency_code": "NGN",
"from": "2022-01-01",
"to": "2022-07-31",
"first_transaction": "2022-01-13",
"last_transaction": "2022-06-27",
"opening_balance": 100,
"closing_balance": 544.44,
"total_debit_count": 1,
"total_credit_count": 5,
"total_debit_value": 123.45,
"total_credit_value": 56789,
"pages": 1,
"records_per_page": 20
},
"transactions": [
{
"id": "1234567890",
"amount": 10,
"channel": "ATM",
"authorization_token": "ACCOUNT",
"transaction_type": "WITHDRAWAL",
"debit_credit": "DEBIT",
"narration": "ATM Withdrawal",
"reference": "WDS12345678909987",
"transaction_time": "2019-01-02T19:58:47.1234567",
"value_date": "2019-01-02",
"balance_after": 12
}
],
"custom_properties": [
{
"id": "1",
"description": "custom_property",
"type": "string",
"value": "custom_property"
}
]
}
}{
"status": "01",
"error_code": "MISSING_FIELD",
"message": "The field is missing",
"data": {}
}{
"status": "02",
"message": "The authentication failed",
"data": {}
}{
"status": "03",
"message": "You are not allowed to perform this operation",
"data": {}
}{
"status": "04",
"message": "The resource you are looking for does not exist",
"data": {}
}{
"status": "05",
"message": "An unknown error occurred",
"data": {}
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Connection ID for the target bank
Unique key to ensure idempotency of the request
SHA-256 signature of client_secret + ";" + idempotency-key
Path Parameters
Customer's account number in NUBAN format
Query Parameters
Start date for transaction history (YYYY-MM-DD)
End date for transaction history (YYYY-MM-DD)
Page number for pagination
Required range:
x >= 1